SMBIOS-TOKEN-CTL(1)

NAME
smbios-token-ctl - ../src/bin/smbios-token-ctl

SYNOPSIS
smbios-token-ctl

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-d, --dump-tokens
    Action: dump token table

--dump-tokens-csv
    Action: dump token table in CSV format

--import-token-settings-csv
    Action: Restore token settings from CSV table dump

--is-string
    Action: return true if specified token is a string.

--is-bool
    Action: return true if specified token is a bool.

--is-active
    Action: return true if specified bool token is active.

--get-string
    Action: get string token value.

--activate
    Action: activate specified bool token.

--set-string
    Action: set string token value.

-i TOKEN_ID, --token-id=TOKEN_ID, --token=TOKEN_ID
    Filter only token with ID.

-n TOKEN_NAME, --token-name=TOKEN_NAME
    Filter only token with name.

-s TOKEN_SETTING, --token-setting=TOKEN_SETTING
    Filter only token with setting.

--token-csv=TOKEN_CSV
    path to the token.csv file.

--token-blacklist-csv=TOKEN_BLACKLIST_CSV
    Path to token blacklist file.

-v, --verbose
    Display more verbose output.

-q, --quiet
    Minimize program output. Only errors and warnings are displayed.

--trace
    Enable verbose function tracing.

--logconfig=LOGCONFIG
    Specify alternate config log.

--password=PASSWORD
    BIOS Setup password for set/activate operations.

-r, --rawpassword
    Do not auto-convert password to scancodes.

--memory-dat=MEMORY_DAT
    Path to a memory dump file to use instead of real RAM

--cmos-dat=CMOS_DAT
    Path to a CMOS dump file to use instead of real CMOS

SEE ALSO
The full documentation for smbios-token-ctl is maintained as a Texinfo manual. If the info and smbios-token-ctl programs are properly installed at your site, the command

    info smbios-token-ctl

should give you access to the complete manual.